Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.transport
Class TCPMessage.Type

`java.lang.Object
oracle.security.crypto.cmp.transport.TCPMessage.Type`

Enclosing class:
  TCPMessage

public static class TCPMessage.Type
extends java.lang.Object

TCP-based message types.

Field Summary
`static TCPMessage.Type` | `ERROR_MSG_REP` Server response carrying TCP-based protocol error information.
`static TCPMessage.Type` | `FIN_REP` Server response indicating the end of a CMP transaction.
`static TCPMessage.Type` | `PKI_REP` Server response containing a `PKIMessage`.
`static TCPMessage.Type` | `PKI_REQ` End-entity request containing a `PKIMessage` used to initiate a protocol transaction.
`static TCPMessage.Type` | `POLL_REP` Server response providing a polling reference number and an estimated time for the end-entity to poll for results.
`static TCPMessage.Type` | `POLL_REQ` End-entity request polling for results on the server.

Method Summary
`int` | `getValue()` Get the `int` value of the message type code.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PKI_REQ

    public static final TCPMessage.Type PKI_REQ

  End-entity request containing a `PKIMessage` used to initiate a protocol transaction.
  Since:
    CMP1999 (replaces PKI_MSG)

### POLL_REP

    public static final TCPMessage.Type POLL_REP

  Server response providing a polling reference number and an estimated time for the end-entity to poll for results.
  Since:
    CMP1999

### POLL_REQ

    public static final TCPMessage.Type POLL_REQ

  End-entity request polling for results on the server.
  Since:
    CMP1999

### FIN_REP

    public static final TCPMessage.Type FIN_REP

  Server response indicating the end of a CMP transaction.
  Since:
    CMP1999 (replaces NEG_POLL_REP)

### PKI_REP

    public static final TCPMessage.Type PKI_REP

  Server response containing a `PKIMessage`.
  Since:
    CMP1999 (replaces FINAL_MSG_REP)

### ERROR_MSG_REP

    public static final TCPMessage.Type ERROR_MSG_REP

  Server response carrying TCP-based protocol error information.
  Since:
    CMP1999

Method Detail

### getValue

    public int getValue()

  Get the `int` value of the message type code.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.